import {
    request
} from "../utils/request";
module.exports = {
    //获取商品信息
    getProducts: data => request('/v3/product/learn', 'get', data),
    // 获取订单记录
    getOrderRecord: data => request('/order/helpList', 'get', data, true),
    // 领取代金卷
    getVoucher: data => request('/v3/activity/voucher', 'post', data),
    // 获取轮播图列表
    getBannerList: data => request('/v3/banner', 'get', data),
    // 获取官方活动
    getActivities: data => request('/v3/activity', 'get', data),
    // 获取排行榜详情
    getRankingData: data => request('/v3/activity/rank', 'get', data),
    // 获取排行榜可选日期 
    getRankedDay: data => request('/v3/rank/statistics/day', 'get', data),
    // 获取朗读赛详情
    getActivityInfo: data => request(`/v3/activity/info/${data}`, 'get', data),
    // 获取朗读赛范文
    getModelTexts: data => request('/activityRead', 'get', data),
    // 获取朗读赛排行榜
    getReadRanking: data => request('/activityJoinUser/hotAmountTop', 'get', data),
    // 获取朗读赛排行榜参赛作品
    getSelfReadRanking: data => request('/activityJoinUser/activityRead', 'get', data),
    // 获取邀新总榜
    getInviteRanking: data => request('/v3/activity/inviteNewRank',
        'get', data),
    //  生成用户分享二维码
    createWxCode: data => request('/qrCode', 'get', data),
    // 用户行为统计
    // RECOMMEND(name: "推荐”) ,MY(name: ”我的 ")，RESOURCES(name: "资源")， SUBSCRIBE(name: "关注"),REC_ READ(name: ”推荐 - 我要配音 ")，WXREADING(name: ”开始朗读 ") ,APP_EXAMPLE(name: "示范"), RERECORDING(name: "重录"), UPLOAD(name: "上传作品")， MY_ INFO(name: “个人信息 ") ,INTEGRAL(name: "小红花")， MY_ SUBSCRIBE(name: "我的关注"), MY_ FAVORITES(name: ”我的收藏”),MESSAGE(name: ”消息通知”)， SERVICE(name: "客服"), WXUPLOAD("微信上传作品"),  WXSCORE("微信获取评分"),IOS_PAY_ENTER("IOS进入支付页"),IOS_PAY_ACTIVITY("IOS拉起支付"),IOS_PAY_SUCCESS("IOS支付成功"),ANDROID_PAY_ACTIVITY("ANDROID拉起支付"),ANDROID_PAY_SUCCESS("ANDROID支付成功"),PV_ANDROID,PV_IOS （pv统计）
    userEvent: data => request('/userEvent/v2', 'post', data),
}